This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 839130 - (CVE-2012-3864) CVE-2012-3864 puppet: authenticated clients allowed to read arbitrary files from the puppet master
CVE-2012-3864 puppet: authenticated clients allowed to read arbitrary files f...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120710,reported=2...
: Security
Depends On: 839168 839171 839176
Blocks: 767033 836071 839173
  Show dependency treegraph
 
Reported: 2012-07-11 00:56 EDT by Kurt Seifried
Modified: 2012-12-11 04:30 EST (History)
4 users (show)

See Also:
Fixed In Version: puppet 2.6.17, puppet 2.7.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 04:30:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-07-11 00:56:47 EDT
From puppet labs: CVE-2012-3864 (Arbitrary File Read)

A bug in Puppet 2.6.16 and 2.7.17 allows authenticated clients to read
arbitrary files from the puppet master.

Given a valid certificate and private key, it is possible to construct an
HTTP GET request that will return the contents of an arbitrary file on the
Puppet master. These requests can retrieve any file that the puppet master
has read-access to.

Resolved in Puppet 2.6.17, 2.7.18
Comment 1 Kurt Seifried 2012-07-11 02:42:17 EDT
Created puppet tracking bugs for this issue

Affects: fedora-17 [bug 839168]
Comment 2 Kurt Seifried 2012-07-11 02:46:59 EDT
Created puppet tracking bugs for this issue

Affects: fedora-16 [bug 839171]
Comment 4 Tomas Hoger 2012-07-11 04:28:54 EDT
External Reference:

http://puppetlabs.com/security/cve/cve-2012-3864/
Comment 6 Todd Zullinger 2012-07-19 13:21:34 EDT
Are tracking bugs for epel-5 and epel-6 required as well?  They include 2.6.x so they are impacted by the same CVE's as fedora-16.

I have builds in progress for f16 and el{5,6}.
Comment 7 Fedora Update System 2012-07-27 21:17:15 EDT
puppet-2.6.17-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-07-27 21:19:53 EDT
puppet-2.7.18-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-05 02:37:44 EDT
puppet-2.6.17-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-08-05 02:38:37 EDT
puppet-2.6.17-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Murray McAllister 2012-12-03 01:05:47 EST
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 12 errata-xmlrpc 2012-12-04 14:31:35 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2012:1542 https://rhn.redhat.com/errata/RHSA-2012-1542.html

Note You need to log in before you can comment on or make changes to this bug.